const { api } = require("../../utils/api")

// pages/knowlage/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tags:['懒人必养','吸甲醛','猫咪友好','阳台党','办公搭子'],
    list:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.fetchList()
  },

  fetchList(){
    api('/library/page','POST',{current:1,pageSize:10,name:"",classId:"",isHot:1},'json').then(res => {
      if (res.code === 200){
        const tmps = res.data.list.map(e => {
          e.pic = e.imgList[0].url
          return e
        })
        this.setData({list:tmps})
      }
    })
  },

  goInfo(e){
    const id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: '../knowlage/info?id=' + id,
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})